Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 18 Feb 2022 14:00:21 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Good day, 

I hope you are well.

I am writing to follow up on returns and reimbursements for the following items:

FP020322002257 total AED 127 - I requested for recall of this item  4 times.  The item was delivered to me on 6th Feb 2022

FP013022000460  total AED234 -  I have not received funds for the returned item. request was sent on the 29th ofJanuary 2022

FP020122000627 Total AED113 -   I have not received funds for the returned item. request was sent on the 31st ofJanuary 2022

I called 4 times following up on the above queries, however there hasn't been any traction or returned communication either by email or telephone. I wish to know when the returns and reimbursements will be processed.

I love shopping with CentrePoint,  and I believe improved customer service will help retain customers. My suggestion would be for the customer services team to track complains and maintain communication with customers until issues are resolved.  In addition, there should be timelines for returns just as there are for delivery, it show consistency. It would be good to notify the consultant when funds have been returned and the timelines for processing, or at least be able to track the returns in the same way we can track the purchases. Communication  is key.

So far, I have not heard from anyone from centerpoint despite my 4  followups. I have also received inconsistent updates, which gives a wrong impression or the organisation

I hope to here back from you reagrding my requests 

Thank you and kind regards, https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3911513